Subject: Re: bug#49440: [PATCH core-updates]: Compile bdw-gc with support for disclaim procedures

From: Ludovic Courtès <[email-masked]>
Date: Wed, 21 Jul 2021 16:30:18 +0200

Hi Maxime,

Maxime Devos <[email-masked]> skribis:

> Disclaim procedures do not seem to be used in the wild,
> but seem useful for implementing ephemerons in Guile
> (to be investigated), hence this patch.
>
> Guile seems to start building fine when using a bdw-gc packave
> with "--enable-disclaim" added (I'm using (package (inherit ...) ...),
> but that was on master. I'll verify on core-updates, but building
> things will take some time.

I have a slight preference for delaying ‘--enable-disclaim’ until we
have software that actually needs it.

WDYT?

Thanks,
Ludo’.